import {
	WeaLocaleProvider
} from 'ecCom';

const getLabel = WeaLocaleProvider.getLabel;

export const constant = {
	module: {
		authorizationSetting: getLabel(16526, '权限设置'),
		subCompanyFieldDef: getLabel(81876, '分部字段定义'),
		roleSetting: getLabel(16527, '角色设置')
	},
	label: {
		authorizationGroup: getLabel(492, '权限组'),
		allAuthorization: getLabel(33363, '全部权限'),
		authorizationGroupInfo: getLabel(383045, '权限组信息'),
		authorizationDetail: getLabel(383040, '权限明细'),
		selectAuthorization: getLabel(383046, '选择权限项'),
		createAuthorizationGroup: getLabel(383047, '新建权限组'),
		modifyAuthorizationGroup: getLabel(383048, '编辑权限组'),
		byList: getLabel(130619, '按列表'),
		byAuthGroup: getLabel(382866, '按权限组'),
		basicSetting: getLabel(130187, '基本设置'),
		fieldLabel: getLabel(15456, '字段显示名'),
		fieldName: getLabel(23241, '数据库字段名'),
		fieldType: getLabel(84113, '字段类型'),
		enable: getLabel(31676, '启用'),
		required: getLabel(18019, '必填'),
		uploadFile: getLabel(20798, '上传文件'),
		selectComponent: getLabel(383051, '下拉框'),
		groupName: getLabel(129927, '分组名称'),
		show: getLabel(127791, '显示'),
		organization: getLabel(25332, '组织结构'),
		createRole: getLabel(383069, '新建角色'),
		modifyRole: getLabel(383070, '编辑角色'),
		explain: getLabel(85, '说明'),
		authRole: getLabel(23265, '赋权角色：用于向同级管理员分配数据维护权限。'),
		detachRole: getLabel(23266, '分权角色：用于向下级管理员分配“分配权限”的权限。')
	},
	button: {
		collect: getLabel(281111, '收藏'),
		helper: getLabel(275, '帮助'),
		search: getLabel(82529, '搜索'),
		reset: getLabel(27088, '重置'),
		ok: getLabel(33703, '确定'),
		cancel: getLabel(32694, '取消'),
		create: getLabel(126105, '新建'),
		remove: getLabel(131966, '删除'),
		multiRemove: getLabel(32136, '批量删除'),
		save: getLabel(30986, '保存'),
		saveAndSetting: getLabel(32159, '保存并进入详细设置'),
		more: `${getLabel(131654, '更多')}>>`,
		createGroup: getLabel(30131, '新建分组'),
		editGroup: getLabel(125559, '编辑分组'),
		groupMaintain: getLabel(383049, '分组维护'),
		add: getLabel(131201, '添加'),
		copy: getLabel(77, '复制'),
		log: getLabel(83, '日志'),
		columnVisibleSetting: getLabel(131353, '显示列定制'),
	},
	confirm: {
		defaultTitle: getLabel(131329, '信息确认'),
		removeGroupInfo: getLabel(383053, '删除分组，该分组下的字段将显示到“基本信息”分组中，确定要删除吗？'),
		groupNameExist: getLabel(130074, '已存在同名分组，请确认'),
		groupNameIsEmpty: getLabel(130064, '请填写分组名称'),
		displayOrDBFieldIsEmpty: getLabel(383054, '字段显示名或数据库字段名不能为空!'),
		displayOrDBFieldExist: getLabel(383055, '已存在同名字段显示名或数据库字段名，请确认！'),
		removeSelected: getLabel(383080, '确定要删除所选项吗？')
	},
	message: {
		authFailed: getLabel(2012, '对不起，您暂时没有权限！'),
		actionError: getLabel(132200, '操作失败！'),
		saveSuccess: getLabel(83551, '保存成功！'),
		saveFailed: getLabel(84544, '保存失败！'),
		removeSuccess: getLabel(83472, '删除成功！'),
	}
}